layout (location = 0) in vec2 v_uv;
layout (location = 0) out vec4 f_color;

layout (set = 1, binding = 1) uniform sampler2D tex;

layout (set = 1, binding = 0) uniform Uniforms {
    vec4 color;
};

void main() {
    f_color = vec4(color.rgb, color.a * texture(tex, v_uv).r);
}
